
# dynamic_topic_modeling

> Run dynamic topic modeling.


<!-- README.md is generated from README.Rmd. Please edit that file -->


<!-- badges: start -->

[![PyPI
version](https://badge.fury.io/py/dynamic-topic-modeling.svg)](https://badge.fury.io/py/dynamic-topic-modeling)
[![DOI](https://zenodo.org/badge/238671296.svg)](https://zenodo.org/badge/latestdoi/238671296)
<!-- badges: end -->

The goal of 'wei_lda_debate' is to build Latent Dirichlet Allocation
models based on 'sklearn' and 'gensim' framework, and Dynamic Topic
Model(Blei and Lafferty 2006) based on 'gensim' framework. I decide to
build a Python package 'dynamic_topic_modeling', so this reposority
will be updated and 'wei_lda_debate' is depreciated. The new
reposority path is
<https://github.com/JiaxiangBU/dynamic_topic_modeling.git>.

To build this package, I borrow from

1.  'wei_lda_debate'(Wang 2018) to build LDA framework
2.  'dtmvisual'(Svitlana 2019) to build the visualization framework.
    Moreover, this package seems like a visualiztaion tutorial using
    jupyter notebook for 'dtmvisual'.


1.  [LDA based on
    sklearn](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/sklearn-lda.ipynb)
2.  [LDA based on
    gensim](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/gensim-lda.ipynb)
3.  [Dynamic Topic
    Modeling](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/dtm.ipynb)
4.  [Data Analysis on Demi Gods and Semi Devils using Dynamic Topic
    Modeling](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/demo.ipynb)


Jiaxiang Li. (2020, February 9). JiaxiangBU/dynamic_topic_modeling:
dynamic_topic_modeling 1.1.0 (Version v1.1.0). Zenodo.
<http://doi.org/10.5281/zenodo.3660401>


```
@software{jiaxiang_li_2020_3660401,
  author       = {Jiaxiang Li},
  title        = {{JiaxiangBU/dynamic_topic_modeling: 
                   dynamic_topic_modeling 1.1.0}},
  month        = feb,
  year         = 2020,
  publisher    = {Zenodo},
  version      = {v1.1.0},
  doi          = {10.5281/zenodo.3660401},
  url          = {https://doi.org/10.5281/zenodo.3660401}
}
```

If you use dynamic_topic_modeling, I would be very grateful if you can
add a citation in your published work. By citing
dynamic_topic_modeling, beyond acknowledging the work, you contribute
to make it more visible and guarantee its growing and sustainability.
For citation, please use the BibTex or the citation content.


## Install

`pip install dynamic_topic_modeling`

## How to use


1.  [LDA based on
    sklearn](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/sklearn-lda.ipynb)
2.  [LDA based on
    gensim](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/gensim-lda.ipynb)
3.  [Dynamic Topic
    Modeling](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/dtm.ipynb)
4.  [Data Analysis on Demi Gods and Semi Devils using Dynamic Topic
    Modeling](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/demo.ipynb)


Jiaxiang Li. (2020, February 9). JiaxiangBU/dynamic\_topic\_modeling:
dynamic\_topic\_modeling 1.1.0 (Version v1.1.0). Zenodo.
<http://doi.org/10.5281/zenodo.3660401>


```
@software{jiaxiang_li_2020_3660401,
  author       = {Jiaxiang Li},
  title        = {{JiaxiangBU/dynamic\_topic\_modeling: 
                   dynamic\_topic\_modeling 1.1.0}},
  month        = feb,
  year         = 2020,
  publisher    = {Zenodo},
  version      = {v1.1.0},
  doi          = {10.5281/zenodo.3660401},
  url          = {https://doi.org/10.5281/zenodo.3660401}
}
```

If you use dynamic\_topic\_modeling, I would be very grateful if you can
add a citation in your published work. By citing
dynamic\_topic\_modeling, beyond acknowledging the work, you contribute
to make it more visible and guarantee its growing and sustainability.
For citation, please use the BibTex or the citation content.


<h4 align="center">

**Code of Conduct**

</h4>

<h6 align="center">

Please note that the `dynamic_topic_modeling` project is released with a
[Contributor Code of
Conduct](https://github.com/JiaxiangBU/dynamic_topic_modeling/blob/master/CODE_OF_CONDUCT.md).<br>By
contributing to this project, you agree to abide by its terms.

</h6>

<h4 align="center">

**License**

</h4>

<h6 align="center">

Apache License c [Jiaxiang Li;Shuyi Wang;Svitlana
Galeshchuk](https://github.com/JiaxiangBU/dynamic_topic_modeling/blob/master/LICENSE.md)

</h6>

<div id="refs" class="references">

<div id="ref-Blei2006Dynamic">

Blei, David M., and John D. Lafferty. 2006. "Dynamic Topic Models." In
*Machine Learning, Proceedings of the Twenty-Third International
Conference (Icml 2006), Pittsburgh, Pennsylvania, Usa, June 25-29,
2006*.

</div>

<div id="ref-Svitlana_2019">

Svitlana. 2019. "Dtmvisual: This Package Consists of Functionalities for
Dynamic Topic Modelling and Its Visualization." GitHub. 2019.
<https://github.com/GSukr/dtmvisual>.

</div>

<div id="ref-Shuyi_Wang2018">

Wang, Shuyi. 2018. GitHub. 2018.
<https://github.com/wshuyi/wei_lda_debate>.

</div>

</div>
